#
# spec file for package perl-MooX-Options
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-MooX-Options
Version:        4.023
Release:        1.1
%define cpan_name MooX-Options
Summary:        Explicit Options eXtension for Object Class
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/MooX-Options/
Source0:        https://cpan.metacpan.org/authors/id/C/CE/CELOGEEK/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Capture::Tiny)
BuildRequires:  perl(Data::Record)
BuildRequires:  perl(Getopt::Long) >= 2.43
BuildRequires:  perl(Getopt::Long::Descriptive) >= 0.099
BuildRequires:  perl(Import::Into)
BuildRequires:  perl(JSON::MaybeXS)
BuildRequires:  perl(Locale::TextDomain)
BuildRequires:  perl(Module::Build) >= 0.421100
BuildRequires:  perl(Module::Metadata) >= 1.000019
BuildRequires:  perl(Moo) >= 1.003001
BuildRequires:  perl(MooX::ConfigFromFile)
BuildRequires:  perl(Path::Class) >= 0.32
BuildRequires:  perl(Regexp::Common)
BuildRequires:  perl(Role::Tiny::With)
BuildRequires:  perl(Term::Size::Any)
BuildRequires:  perl(Test::More) >= 0.94
BuildRequires:  perl(Test::Requires)
BuildRequires:  perl(Test::Trap)
BuildRequires:  perl(Text::LineFold)
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(namespace::clean)
BuildRequires:  perl(parent)
Requires:       perl(Data::Record)
Requires:       perl(Getopt::Long) >= 2.43
Requires:       perl(Getopt::Long::Descriptive) >= 0.099
Requires:       perl(JSON::MaybeXS)
Requires:       perl(Locale::TextDomain)
Requires:       perl(Module::Metadata) >= 1.000019
Requires:       perl(Moo) >= 1.003001
Requires:       perl(MooX::ConfigFromFile)
Requires:       perl(Path::Class) >= 0.32
Requires:       perl(Regexp::Common)
Requires:       perl(Term::Size::Any)
Requires:       perl(Text::LineFold)
Requires:       perl(parent)
Recommends:     perl(Term::Size::Any)
%{perl_requires}

%description
Create a command line tool with your Mo, Moo, Moose objects.

Everything is explicit. You have an 'option' keyword to replace the usual
'has' to explicitly use your attribute into the command line.

The 'option' keyword takes additional parameters and uses
Getopt::Long::Descriptive to generate a command line tool.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes coverage.txt etc po README README.mkdn
%license LICENSE

%changelog
* Mon May 29 2017 coolo@suse.com
- initial package 4.023
  * created by cpanspec 1.78.08
